12
5 5
.....
....X
..X.X
.XXXX
XXXXX
5 5
.X...
.XX..
.XXX.
.XXXX
XXXXX
46 28
............................
............................
..X.........................
..X.........................
..X.....X...................
..X.....X.....X.X..........X
..X.....X.....X.X..........X
..X.....X.....X.X..........X
..X.....X.....X.X..........X
..X.....X.....X.X..........X
..X.....X.....X.X..........X
..X.....X....XX.X..........X
..X.....X....XX.X..........X
..X.....X....XX.XX.........X
..X.....X....XX.XX..X......X
..X.....X....XX.XX..X......X
..X.....X..X.XX.XX..X......X
..X.....X..X.XX.XX..X...X..X
..X.....X..X.XX.XX..X...X..X
..X.....X..X.XX.XX..X...X..X
..X.....XX.X.XX.XXX.X...X.XX
..X.....XX.XXXX.XXX.X...X.XX
..X.....XX.XXXX.XXX.X.X.X.XX
..X.....XX.XXXX.XXX.X.X.X.XX
..X.....XX.XXXXXXXX.X.X.X.XX
.XX.....XX.XXXXXXXX.X.X.X.XX
.XX.....XX.XXXXXXXX.X.X.X.XX
.XX...X.XX.XXXXXXXX.X.X.X.XX
.XX...X.XX.XXXXXXXX.X.X.X.XX
.XX...X.XX.XXXXXXXX.X.X.X.XX
.XX...X.XX.XXXXXXXX.X.X.X.XX
.XX...X.XX.XXXXXXXX.X.X.X.XX
.XXX..X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.X.XX.XXXXXXXX.X.X.X.XX
.XXXX.XXXX.XXXXXXXX.X.X.X.XX
.XXXX.XXXX.XXXXXXXX.X.X.X.XX
.XXXX.XXXX.XXXXXXXXXX.X.XXXX
.XXXX.XXXX.XXXXXXXXXXXX.XXXX
XXXXXXXXXX.XXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXX
20 40
.............................X..........
.............................X..........
..X.....X..............X.X...X....X.....
.XX.....X.........X....X.X...XX...X.....
.XX.....X.........X.X..X.X...XX...X.....
.XX.....X.........X.X..X.X...XX...X.....
.XX.....X.........X.X..X.X...XX...X...X.
.XX.....X.........X.X..X.X...XX...X...X.
.XX.....X.X...X...X.XX.X.XX..XX...X...X.
.XX.....X.X...X.X.XXXX.X.XX..XX...X...XX
.XX.....X.X...X.X.XXXX.X.XX..XX..XX...XX
.XX..XX.XXX...X.X.XXXX.X.XX..XX..XX..XXX
.XX..XX.XXX...X.X.XXXX.X.XX..XX..XX..XXX
XXX..XX.XXX...X.X.XXXX.X.XX..XXX.XX..XXX
XXX.XXX.XXX...X.X.XXXX.XXXX..XXX.XX..XXX
XXX.XXXXXXX...X.X.XXXX.XXXXX.XXX.XX..XXX
XXX.XXXXXXX...X.XXXXXX.XXXXX.XXX.XX.XXXX
XXX.XXXXXXX..XX.XXXXXX.XXXXX.XXX.XXXXXXX
XXX.XXXXXXXX.XX.XXXXXX.XXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
12 18
.....X.......XXX..
.....X.......XXX..
.....X.......XXX..
.....X....X..XXXX.
.....XXX..X..XXXXX
....XXXX..X..XXXXX
....XXXX..X.XXXXXX
..XXXXXXX.X.XXXXXX
X.XXXXXXX.XXXXXXXX
X.XXXXXXX.XXXXXXXX
XXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXX
23 38
.........X....X.......................
.........X...XX..............X........
.........X...XX.X............X........
.........X...XX.X............X........
.......X.X...XX.X............XX...X...
..X....X.X...XX.X............XX...X...
..X....X.X..XXX.X.X..........XX...X...
..XX...X.X..XXX.X.X...X....X.XX...X...
..XX...X.X..XXXXX.X...X....X.XX...X...
..XX.X.X.X..XXXXX.XX..X....X.XX.X.X...
X.XXXX.X.X..XXXXX.XX..X....X.XX.XXX...
X.XXXX.X.X.XXXXXX.XX..X.X..X.XX.XXX...
X.XXXX.XXX.XXXXXX.XX..X.X..X.XX.XXX...
X.XXXX.XXX.XXXXXXXXXX.X.X..X.XX.XXXX..
X.XXXX.XXXXXXXXXXXXXX.X.XX.X.XX.XXXX..
XXXXXX.XXXXXXXXXXXXXX.X.XX.X.XX.XXXX..
XXXXXX.XXXXXXXXXXXXXX.X.XX.X.XXXXXXX.X
XXXXXX.XXXXXXXXXXXXXX.X.XXXX.XXXXXXX.X
XXXXXX.XXXXXXXXXXXXXX.X.XXXXXXXXXXXX.X
XXXXXX.XXXXXXXXXXXXXX.XXXXXXXXXXXXXXXX
XXXXXX.XXXXXXXXXXXXXX.XXXXXXXXXXXXXXXX
XXXXXX.XXXXXXXXXXXXXX.XXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
26 49
......X...........X...X........................X.
......X...X.......X...X..XX.......X............X.
......X...X.......X...X..XX.......X............X.
......X...X..X....X...X..XX.......X............X.
......X...X..X....X...X..XX.......X............X.
......X...X..X....X...XX.XX.....X.X............XX
......X.X.X..X....X...XX.XX.....X.X.....X......XX
......X.X.X..X....X...XX.XX.....X.X...XXX......XX
......X.X.X.XX.XX.X...XXXXX.....X.X...XXX.X.X..XX
......X.X.X.XX.XX.X...XXXXX.....X.X...XXXXX.X..XX
...X..X.X.X.XX.XX.X...XXXXX.....X.X...XXXXX.X..XX
...X..X.X.X.XX.XX.X...XXXXX.X...X.X...XXXXX.XX.XX
...X..X.X.X.XX.XXXX...XXXXX.X..XX.X..XXXXXX.XX.XX
...X..X.X.X.XX.XXXX...XXXXX.X..XX.X..XXXXXX.XX.XX
...X..X.X.X.XX.XXXX...XXXXX.X..XX.XX.XXXXXX.XX.XX
...X..X.X.X.XX.XXXXX..XXXXX.X..XX.XX.XXXXXXXXX.XX
...X..XXX.X.XX.XXXXX..XXXXX.X..XX.XXXXXXXXXXXXXXX
...X..XXX.X.XX.XXXXX..XXXXXXX..XX.XXXXXXXXXXXXXXX
...XXXXXX.X.XX.XXXXX..XXXXXXX..XX.XXXXXXXXXXXXXXX
X..XXXXXX.XXXX.XXXXX..XXXXXXX..XX.XXXXXXXXXXXXXXX
XX.XXXXXX.XXXX.XXXXXX.XXXXXXX..XX.XXXXXXXXXXXXXXX
XXXXXXXXX.XXXX.XXXXXX.XXXXXXX..XXXXXXXXXXXXXXXXXX
XXXXXXXXX.XXXX.XXXXXX.XXXXXXX..XXXXXXXXXXXXXXXXXX
XXXXXXXXX.XXXXXXXXXXX.XXXXXXX.XXXXXXXXXXXXXXXXXXX
XXXXXXXXX.XXXXXXXXXXX.XXXXXXX.XXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
34 5
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
.....
XX..X
XX..X
XX..X
XX..X
XX..X
XX..X
XX..X
XXX.X
XXX.X
XXX.X
XXX.X
XXX.X
XXXXX
XXXXX
XXXXX
6 46
X..X.........X.X.X.X............X.......X.....
X..X.X.......X.X.X.X...X........X..XX...X.....
X.XX.XXX.....X.X.X.X...X..X.X...XX.XXX..X...XX
XXXX.XXX...XXX.X.X.X...X..XXX.X.XXXXXXX.X...XX
XXXX.XXXXXXXXXXXXXXX..XX.XXXX.X.XXXXXXX.XX..XX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
9 41
....................X........X.....X...X.
.X..X..X..XX...X....X..X.....X.....X...X.
.X..X..X..XXXX.X..X.X..X.....X...X.X...X.
.X..XX.X..XXXX.X..X.X..X.....X.X.X.X..XX.
.X..XX.X.XXXXXXX..X.X..X...X.X.X.X.X..XX.
.XX.XX.X.XXXXXXX.XX.X..XXX.X.X.X.XXX.XXX.
.XX.XXXX.XXXXXXXXXXXX..XXX.XXXXX.XXX.XXX.
.XXXXXXXXXXXXXXXXXXXXX.XXX.XXXXX.XXXXXXX.
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
24 51
.........................................X.........
.X..............X........................X.X.......
.X..............X....X...................X.X......X
.X..............X....X............X.....XX.X......X
.X..............X....X............X.....XX.X......X
.X.X....X.......X....X............X...XXXX.X......X
.XXX....X.......X....X............X...XXXX.X......X
.XXX....X.......X....X..XX.X......X...XXXX.XX.....X
.XXX....X.......X...XX..XX.X......X...XXXX.XX.....X
.XXX....X.......X...XX..XX.X......X...XXXX.XX...X.X
.XXX....X.....X.X...XX..XX.X.X....X...XXXX.XXX..X.X
.XXX....X.....X.X...XXX.XX.X.X...XX...XXXX.XXX.XX.X
.XXX....X...XXX.X...XXXXXX.X.X...XX...XXXX.XXX.XX.X
.XXX...XX...XXX.X.X.XXXXXX.X.X...XX.X.XXXXXXXX.XX.X
.XXX...XX.X.XXX.X.X.XXXXXX.X.X...XX.X.XXXXXXXX.XX.X
.XXX...XX.X.XXX.XXX.XXXXXX.X.X...XX.X.XXXXXXXX.XX.X
.XXX..XXXXX.XXXXXXX.XXXXXX.X.X...XX.X.XXXXXXXX.XX.X
.XXX..XXXXX.XXXXXXX.XXXXXX.X.X...XX.X.XXXXXXXX.XX.X
.XXX..XXXXXXXXXXXXX.XXXXXXXX.X...XX.XXXXXXXXXX.XX.X
XXXX..XXXXXXXXXXXXX.XXXXXXXX.X...XX.XXXXXXXXXX.XX.X
XXXX.XXXXXXXXXXXXXX.XXXXXXXX.X...XX.XXXXXXXXXX.XX.X
XXXXXXXXXXXXXXXXXXX.XXXXXXXXXX.X.XXXXXXXXXXXXX.XXXX
XXXXXXXXXXXXXXXXXXX.XXXXXXXXXXXXXXXXXXXXXXXXXX.XXXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
32 13
.............
.............
.............
.............
.............
....X........
....X........
....X........
....X..X.....
....X..X.....
....XX.X.....
....XX.X.....
....XX.X.....
....XX.X.....
.X..XX.X.....
.XX.XX.X.....
.XX.XX.X.....
.XX.XX.X.....
.XX.XX.X.....
.XX.XX.X.....
.XX.XX.X.....
.XX.XX.XX....
.XX.XX.XX....
.XX.XX.XX....
.XX.XX.XX....
.XX.XX.XXX.X.
.XX.XXXXXX.X.
XXXXXXXXXX.X.
XXXXXXXXXXXX.
XXXXXXXXXXXX.
XXXXXXXXXXXXX
XXXXXXXXXXXXX
